For the complete documentation index, see llms.txt. This page is also available as Markdown.

Console Configuration

Get the console configuration.

get
Responses
200

successful operation

No content

get/console/configuration
GET /rest/console/configuration HTTP/1.1
Accept: */*
200

successful operation

No content

Get Console's JVM configuration. Requires super role.

get
Responses
200

successful operation

No content

get/console/configuration/jvm
GET /rest/console/configuration/jvm HTTP/1.1
Accept: */*
200

successful operation

No content

Overwrite Console's JVM configuration. Requires super role.

post
Body
jvmParametersstring[]Optional
Responses
200

successful operation

No content

post/console/configuration/jvm
POST /rest/console/configuration/jvm HTTP/1.1
Content-Type: */*
Accept: */*
Content-Length: 26

{
  "jvmParameters": [
    "text"
  ]
}
200

successful operation

No content

Update Console's JVM configuration with JSON. Requires super role.

post
Body
stringOptional
Responses
200

successful operation

No content

post/console/configuration/jvm/json
POST /rest/console/configuration/jvm/json HTTP/1.1
Content-Type: */*
Accept: */*
Content-Length: 6

"text"
200

successful operation

No content

Restore Console's JVM configuration to default. Requires super role.

post
Responses
200

successful operation

No content

post/console/configuration/jvm/restoreDefaults
POST /rest/console/configuration/jvm/restoreDefaults HTTP/1.1
Accept: */*
200

successful operation

No content

Last updated

Was this helpful?